---
title: RTCTrackEvent.streams
slug: Web/API/RTCTrackEvent/streams
tags:
  - API
  - Media
  - Property
  - RTCTrackEvent
  - Read-only
  - Reference
  - Streams
  - WebRTC
  - WebRTC API
  - events
  - track
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The <a href="/en-US/docs/Web/API/WebRTC_API">WebRTC API</a> interface {{domxref("RTCTrackEvent")}}'s read-only <strong><code>streams</code></strong> property specifies an array of {{domxref("MediaStream")}} objects, one for each of the streams that comprise the track being added to the {{domxref("RTCPeerConnection")}}.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>streams</em> = <em>trackEvent</em>.streams;</pre>

<h3 id="Value">Value</h3>

<p>An {{jsxref("Array")}} of {{domxref("MediaStream")}} objects, one for each stream that make up the new track.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('WebRTC 1.0', '#dom-rtctrackevent-streams', 'RTCTrackEvent.streams')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCTrackEvent.streams")}}</p>
